#
# Conditional build:
%bcond_with	gles	# build GLES backend (broken)

Summary:	Emulator of BioWare's Infinity game engine
Summary(pl.UTF-8):	Emulator silnika gier Infinity firmy BioWare
Name:		gemrb
Version:	0.9.4
Release:	1
License:	GPL v2+
Group:		Applications/Emulators
Source0:	https://downloads.sourceforge.net/gemrb/%{name}-sources-%{version}.tar.gz
# Source0-md5:	289dcda433c012e4a15b5c0d80a4e70e
Patch0:		%{name}-config_file.patch
Patch1:		flags.patch
URL:		http://gemrb.sourceforge.net/
BuildRequires:	OpenAL-devel
%{!?with_gles:BuildRequires:	OpenGL-devel}
%{?with_gles:BuildRequires:	OpenGLESv2-devel}
BuildRequires:	SDL2-devel
BuildRequires:	SDL2_mixer-devel
BuildRequires:	cmake >= 3.25
BuildRequires:	freetype-devel
%{!?with_gles:BuildRequires:	glew-devel}
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	vlc-devel
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Suggests:	synce-unshield
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Game Engine is a port of the original Infinity Engine (the one of
Baldur's Gate, Planescape: Torment, Icewind Dale) to Linux/Unix, MacOs
X and Windows with some Enhancements.

%description -l pl.UTF-8
Silnik ten jest portem oryginalnego silnika Infinity Engine (używanego
przez Baldur's Gate, Planescape: Torment, Icewind Dale) dla systemów
Linux/Unix, MacOS i Windows. Silnik posiada kilka ulepszeń.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/python$,%{__python3},' admin/extend2da.py

%build
install -d build
cd build
%cmake .. \
	-DBIN_DIR="%{_bindir}" \
	-DSYSCONF_DIR="%{_sysconfdir}/gemrb" \
	-DLIB_DIR="%{_libdir}" \
	-DPLUGIN_DIR="%{_libdir}/gemrb/plugins" \
	-DDATA_DIR="%{_datadir}/gemrb" \
	-DMAN_DIR="%{_mandir}/man6" \
	-DICON_DIR="%{_pixmapsdir}" \
	-DSVG_DIR="%{_iconsdir}/hicolor/scalable/apps" \
	-DMENU_DIR="%{_desktopdir}" \
	-DOPENGL_BACKEND=%{!?with_gles:OpenGL}%{?with_gles:GLES} \
	-DSDL_BACKEND=SDL2
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install -C build \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}
%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/gemrb/GemRB.cfg{.noinstall,}.sample
%{__mv} $RPM_BUILD_ROOT%{_sysconfdir}/gemrb/{GemRB.cfg,gemrb.cfg}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_desktop_database_post
%update_icon_cache hicolor

%postun
/sbin/ldconfig
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.md NEWS README.md %{name}/{docs/en/*.txt,GemRB.cfg*.sample}
%dir %{_sysconfdir}/gemrb
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gemrb/gemrb.cfg
%attr(755,root,root) %{_bindir}/gemrb
%attr(755,root,root) %{_libdir}/libgemrb_core.so.*.*.*
%dir %{_libdir}/gemrb
%dir %{_libdir}/gemrb/plugins
%attr(755,root,root) %{_libdir}/gemrb/plugins/*.so
%{_datadir}/gemrb
%{_mandir}/man6/gemrb.6*
%{_desktopdir}/gemrb.desktop
%{_iconsdir}/hicolor/scalable/apps/gemrb.svg
%{_pixmapsdir}/gemrb.png
%{_datadir}/metainfo/org.gemrb.gemrb.metainfo.xml
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gemrb.git;a=log;h=master

* Sat Jan 11 2025 Jan Palus <atler@pld-linux.org> 783768f
- up to 0.9.4

* Mon Sep 02 2024 Jan Palus <atler@pld-linux.org> 09fc3fd
- package %{_sysconfdir}/gemrb dir; rel 2

* Sun Sep 01 2024 Jan Palus <atler@pld-linux.org> 88c3fa2
- rel 1

* Sun Sep 01 2024 Jan Palus <atler@pld-linux.org> 89ed39b
- don't rewrite source file location

* Fri Aug 02 2024 Jan Palus <atler@pld-linux.org> 0b2aa7b
- up to 0.9.3

* Fri Apr 23 2021 Jan Palus <atler@pld-linux.org> 2795ba4
- upstream fix for crash with GLES backend

* Fri Apr 23 2021 Jan Palus <atler@pld-linux.org> 530b6f0
- BR: glew-devel when building with GL backend

* Fri Apr 23 2021 Jan Palus <atler@pld-linux.org> f645b23
- up to 0.8.7

* Fri Jan 06 2012 lisu <lisu@pld-linux.org> 722dc9e
- updated to 0.7.0

* Thu Sep 08 2011 lisu <lisu@pld-linux.org> 75259b1
- 0.6.5

* Tue Mar 29 2011 lisu <lisu@pld-linux.org> a61f843
- up to 0.6.4
- use __rm macro and drop osbolete one

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> f676213
- BR: libstdc++-devel, pkgconfig, python-modules

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> 8a3da1c
- 0.6.3

* Mon Aug 23 2010 lisu <lisu@pld-linux.org> d390dc7
- updated for 0.6.2

* Mon Aug 23 2010 lisu <lisu@pld-linux.org> a52267e
- updated to 0.6.2
- patches updated

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 0adea67
- unshield available in synce-unshield.spec

* Mon Jun 21 2010 lisu <lisu@pld-linux.org> b351597
- create needed Cache dir

* Mon Jun 21 2010 lisu <lisu@pld-linux.org> 2e3f988
- Suggests unshield (to extract CAB files if not possible to install game using wine)

* Thu Jun 17 2010 lisu <lisu@pld-linux.org> 211ac0f
- up to 0.6.1

* Wed Nov 04 2009 lisu <lisu@pld-linux.org> 0c50e9d
- up to 0.6.0
- adapterized

